NET_Init(3)

NAME
NET_Init - Initialize the SDL_net library.

SYNOPSIS
#include <SDL3_net/SDL_net.h>

bool NET_Init(void);

DESCRIPTION
This must be successfully called once before (almost) any other SDL_net function can be used.

It is safe to call this multiple times; the library will only initialize once, and won't deinitialize until NET_Quit() has been called a matching number of times. Extra attempts to init report success.

RETURN VALUE
Returns true on success, false on error; call SDL_GetError() for details.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_net 3.0.0.

SEE ALSO
NET_Quit(3)